[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#712615: transition: perl 5.18

Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear release team,

As discussed briefly in the thread starting at
now seems like a good time to get the perl 5.18 transition on the
roadmap. The rebuild testing, across all packages which need to be
rebuilt as part of the transition as well as all other lib*-perl
packages, is now complete and the status is at


As of today, blockers appear to be in the following packages:

- perlipq
- qpid-cpp
- libdbd-anydata-perl
- libgd-gd2-noxpm-perl
- libgd-gd2-perl
- nfqueue-bindings
- libtemplate-perl
- libdata-alias-perl
- libscalar-number-perl
- libembperl-perl
- subversion
- graphviz

with around 40-50 other packages which will start FTBFS with perl 5.18
but which don't need to be rebuilt.

I don't yet have a fixed idea of when we'd prefer the transition
to happen, but progress on fixing blockers is steady thanks mainly to
the pkg-perl team. Maybe 1-2 months from now?

Ben file:

title = "perl";
is_affected = .depends ~ /perlapi-5.14|libperl5.14/ | .depends ~ /perlapi-5.18|libperl5.18/;
is_good = .depends ~ /perlapi-5.18|libperl5.18/;
is_bad = .depends ~ /perlapi-5.14|libperl5.14/;

-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Reply to: